import request from '@/utils/request'

// 查询商家供应商管理列表
export function listMallShopSupplier(query) {
  return request({
    url: '/mall/mallShopSupplier/list',
    method: 'get',
    params: query
  })
}

// 查询商家供应商管理详细
export function getMallShopSupplier(supplierId) {
  return request({
    url: '/mall/mallShopSupplier/' + supplierId,
    method: 'get'
  })
}

// 新增商家供应商管理
export function addMallShopSupplier(data) {
  return request({
    url: '/mall/mallShopSupplier',
    method: 'post',
    data: data
  })
}

// 修改商家供应商管理
export function updateMallShopSupplier(data) {
  return request({
    url: '/mall/mallShopSupplier',
    method: 'put',
    data: data
  })
}

// 删除商家供应商管理
export function delMallShopSupplier(supplierId) {
  return request({
    url: '/mall/mallShopSupplier/' + supplierId,
    method: 'delete'
  })
}

// 导出商家供应商管理
export function exportMallShopSupplier(query) {
  return request({
    url: '/mall/mallShopSupplier/export',
    method: 'get',
    params: query
  })
}